## GogTrendLine

GogTrendLine

## Synopsis

                        GogTrendLine;
    typedef             GogTrendLineClass;
    gboolean            gog_trend_line_has_legend           (GogTrendLine const *line);
    GogTrendLine *      gog_trend_line_new_by_name          (char const *id);
    GogTrendLine *      gog_trend_line_new_by_type          (GogTrendLineType const *type);

## Object Hierarchy

      GObject
       +----GogObject
             +----GogStyledObject
                   +----GogTrendLine
                         +----GogRegCurve
                         +----GogSmoothedCurve

## Implemented Interfaces

GogTrendLine implements GOStyledObject.

## Properties

      "has-legend"               gboolean              : Read / Write

## Description

## Details

### GogTrendLine

    typedef struct _GogTrendLine GogTrendLine;

### GogTrendLineClass

    typedef GogStyledObjectClass GogTrendLineClass;

### gog_trend_line_has_legend ()

    gboolean            gog_trend_line_has_legend           (GogTrendLine const *line);

### gog_trend_line_new_by_name ()

    GogTrendLine *      gog_trend_line_new_by_name          (char const *id);

### gog_trend_line_new_by_type ()

    GogTrendLine *      gog_trend_line_new_by_type          (GogTrendLineType const *type);

## Property Details

### The `"has-legend"` property

      "has-legend"               gboolean              : Read / Write

Should the trend line show up in legends.

Default value: TRUE